Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class DefaultViewEditorHelper

public class DefaultViewEditorHelper
implements ViewEditorHelper

Default implementation of ViewEditorHelper interface. This class provides all necessary changes in view, but do not affect to the model.

Method Summary
`View` | `add(Object obj, Point location)` Should provides necessary changes in view and model if the view can be resized.
`boolean` | `canAccept(CompositeView composite, View view)`
`Object` | `createObject(Class clazz, Point pt)`
`Action[]` | `getActions()`
`boolean` | `isResizable(View view)`
`Dimension` | `moveView(View view, Dimension offset)` Should provides necessary changes in view and model if the view can be moved on the specified offset.
`void` | `register(ViewEditorPane viewEditorPane)` register this ViewEditorHelper for the specified ViewEditorPane.
`boolean` | `removeView(View view)` Should provides necessary changes in view and model if the view can be resized.
`Dimension` | `resizeView(View view, Dimension size)` Should provides necessary changes in view and model if the view can be resized.

Method Detail

### add

    public View add(Object obj, Point location)

  Should provides necessary changes in view and model if the view can be resized.
  returns view for the specified object.

### canAccept

    public boolean canAccept(CompositeView composite, View view)

  returns whether a specified viewt can be inserted to other view.

### createObject

    public Object createObject(Class clazz, Point pt)

### getActions

    public Action[] getActions()

### isResizable

    public boolean isResizable(View view)

  returns whether a specified diagram element can be resized.

### moveView

    public Dimension moveView(View view, Dimension offset)

  Should provides necessary changes in view and model if the view can be moved on the specified offset.
  returns shift on which the view was moved.

### register

    public void register(ViewEditorPane viewEditorPane)

  register this ViewEditorHelper for the specified ViewEditorPane.

### removeView

    public boolean removeView(View view)

  Should provides necessary changes in view and model if the view can be resized.
  returns new view size.

### resizeView

    public Dimension resizeView(View view, Dimension size)

  Should provides necessary changes in view and model if the view can be resized.
  returns new view size.

Association Links

to Class ru.biosoft.graphics.editor.ViewEditorPane

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM